VST 3 Examples VST 3.7 SDK for developing VST plug-in

Public Member Functions | List of all members
BaseParameter Class Reference

`#include <mdaParameter.h>`

Inheritance diagram for BaseParameter:

## Public Member Functions
| BaseParameter (const TChar *title, const TChar *units, int32 stepCount, ParamValue defaultValueNormalized, int32 flags, int32 tag, UnitID unitID=kRootUnitId)
bool | fromString (const TChar *string, ParamValue &_valueNormalized) const SMTG_OVERRIDE
bool | setNormalized (ParamValue v) SMTG_OVERRIDE
Public Member Functions inherited from Parameter
| Parameter ()
| Parameter (const ParameterInfo &)
| Parameter (const TChar *title, ParamID tag, const TChar *units=nullptr, ParamValue defaultValueNormalized=0., int32 stepCount=0, int32 flags=ParameterInfo::kCanAutomate, UnitID unitID=kRootUnitId, const TChar *shortTitle=nullptr)
| ~Parameter () override
virtual const ParameterInfo & | getInfo () const
virtual ParameterInfo & | getInfo ()
virtual void | setUnitID (UnitID id)
virtual UnitID | getUnitID ()
ParamValue | getNormalized () const
virtual bool | setNormalized (ParamValue v)
virtual void | toString (ParamValue valueNormalized, String128 string) const
virtual bool | fromString (const TChar *string, ParamValue &valueNormalized) const
virtual ParamValue | toPlain (ParamValue valueNormalized) const
virtual ParamValue | toNormalized (ParamValue plainValue) const
virtual int32 | getPrecision () const
virtual void | setPrecision (int32 val)

## Additional Inherited Members
Public Attributes inherited from Parameter
OBJ_METHODS(Parameter, FObject) protected ParamValue | valueNormalized
int32 | precision

## Constructor & Destructor Documentation

## ◆ BaseParameter()

BaseParameter | ( | const TChar * | title,
|  | const TChar * | units,
|  | int32 | stepCount,
|  | ParamValue | defaultValueNormalized,
|  | int32 | flags,
|  | int32 | tag,
|  | UnitID | unitID = `kRootUnitId`
| ) |  |

## Member Function Documentation

## ◆ fromString()

bool fromString | ( | const TChar * | string,
|  | ParamValue & | _valueNormalized
| ) |  | const
| virtual

Reimplemented from Parameter.

Reimplemented in IndexedParameter, and ScaledParameter.

## ◆ setNormalized()

bool setNormalized | ( | ParamValue | v | ) |
| virtual

Reimplemented from Parameter.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.